/**
 * Created by JSmith on 3/7/2016.
 */
angular.module('components.assignmentDisplay.directive', ['components.assignmentDisplay'])
    .directive('assignmentDisplayDirective', assignmentDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function assignmentDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'AssignmentDisplayController',
        controllerAs: 'assignmentDisplay',
        scope : {
            workItemId : '=',
            itemState : '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../assignment-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
