/**
 * Created by Jez on 6/9/2016.
 */
angular.module('components.businessServiceMenu.directive', ['components.businessServiceMenu'])
    .directive('businessServiceMenuDirective', businessServiceMenuDirective);


function businessServiceMenuDirective() {
    return {
        restrict: 'EA',
        controller: 'BusinessServiceMenuController',
		scope : {
            categories: "=",
            formDiv: "@",
            showAction: "&"
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/business-service-menu/business-service-menu.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}