/**
 * Created by NamOs on 08/09/15.
 */
angular.module('components.caseActionList.directive', ['components.caseActionList'])
    .directive('caseActionListDirective', caseActionListDirective);


function caseActionListDirective() {
    return {
        //TODO review restrict in all directives, I setup AEC to get all but should be minimized
        restrict: 'AEC',
        controller: 'CaseActionListController',
		controllerAs: 'caseActionList',
		replace: false,
        scope : {
            actionMethod : '&',
            caseReference : '=',
			headerClass: '@',
			header: '@',
            limitWithAdhocTasks: '@'
        },
        link: function($scope, ele, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-action-list.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseReference", function(newVal, oldVal){
                if (newVal ) {
                    $scope.listCaseAction(newVal);
                }
            });
        },
		template: '<div ng-include="contentUrl"></div>'
    };
}


