/**
 * Created by JeremyS on 04/01/16.
 */

angular.module('components.caseAuditDisplay', [])
    .controller('CaseAuditDisplayController', ['$scope', 'CaseDisplayBPMServices', 'PayloadService', function ($scope, CaseDisplayBPMServices, PayloadService) {
        //console.log("*** Case Audit Display Controller");

	var vm = this;
	
	vm.headerBox = true;
	vm.searchBox = false;
	vm.id = $scope.id;
	
	vm.toggle = function (name) {
		vm[name] = !vm[name];
    }	
	
		
    //vm.selectedMessageIds = ['BDS_GLOBAL_DATA_CREATE_CASE','CMF_CASE_STATE_CHANGED', 'CMF_CASE_ACTION_STARTED', 'CMF_CASE_ACTION_INTER', 'CMF_CASE_ACTION_COMPLETED', 'CMF_CASE_DOCUMENT_ATTACHED', 'CMF_CASE_ADHOC', 'CMF_CASE_ACCESS', 'BDS_GLOBAL_DATA_CASE_STATE_CHANGE', 'CMF_CASE_TASK_OPEN', 'CMF_CASE_TASK_CLOSE', 'CMF_CASE_TASK_CANCEL', 'CMF_CASE_TASK_COMPLETE'];
        vm.selectedMessageIds = ['BDS_GLOBAL_DATA_CREATE_CASE','CMF_CASE_STATE_CHANGED', 'CMF_CASE_ACTION_STARTED', 'CMF_CASE_ACTION_INTER', 'CMF_CASE_ACTION_COMPLETED', 'CMF_CASE_DOCUMENT_ATTACHED', 'CMF_CASE_ADHOC', 'BDS_GLOBAL_DATA_CASE_STATE_CHANGE', 'CMF_CASE_TASK_OPEN', 'CMF_CASE_TASK_CLOSE', 'CMF_CASE_TASK_CANCEL', 'CMF_CASE_TASK_COMPLETE', 'CMF_CASE_ADHOC_TASK_STARTED', 'CMF_CASE_ADHOC_TASK_CANCELLED'];

    vm.filterByMessageIds = function(entry) {
	return (vm.selectedMessageIds.indexOf(entry.messageId) !== -1);
    };

	vm.refreshCaseAudit = function () {
		vm.listCaseAudit(vm.caseRef);
        };

        $scope.listCaseAudit = function (caseRef) {

			vm.caseRef = caseRef;
			

            //TODO replace the GlobalRef by a passed parameter
            CaseDisplayBPMServices.listCaseAudit(caseRef, 'creationTime:ASCENDING').then(
                function (result) {

                    //TODO can create a service function to get the inner payload => careful it is for one element out only
                    var caseDetail = result.case;
					var auditEntries = result.entry;
                    vm.caseDetail = caseDetail;
					vm.auditEntries = auditEntries;
                },
                function (error) {
                    window.cap.LOGGER.error("ERR_CUST_CLIENT_CTLR_LIST_CASE_AUDIT: " + error);
                }
            );
        }

    }]);
