/**
 * Created by NamOs on 9/15/2015.
 */
angular.module('components.caseBsDisplay.directive', ['components.caseBsDisplay'])
    .directive('caseBsDisplayDirective', caseBsDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseBsDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseBsDisplayController',
        controllerAs: 'caseBsDisplay',
		scope : {
			header: '@',
			headerClass: '@',
            caseReference: '=',
            caseRefParamName: '@',
            moduleName: '@',
			processName: '@',
			version: '@',
			inputData: '@',
            refresh: '&'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-bs-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            },
            $scope.$watch("processName", function(newVal, oldVal){
                if (newVal) {
                    //console.log('*&* processName is :' + newVal);
                    $scope.runAction();
                }
            })

            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
