/**
 * Created by NamOs on 9/15/2015.
 */
angular.module('components.caseClassDisplay.directive', ['components.caseClassDisplay'])
    .directive('caseClassDisplayDirective', caseClassDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseClassDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseClassDisplayController',
        controllerAs: 'caseClassDisplay',
		scope : {
			caseClassData: '=',
            caseClassDataStructured: '=',
			header: '@',
			headerClass: '@',
            className: '@',
			isTable: '@',
			id: '@',
			caseReference: '=',
            refresh: '&',
            userName: '=',
            userGuid: '=',
            state: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-class-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseClassData", function(newVal, oldVal){
                if (newVal ) {
                    //$scope.displayCaseDetails(newVal);
                }
            })
			$scope.$watch("id", function(newVal, oldVal){
                if (newVal ) {
                    //$scope.displayCaseDetails(newVal);
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
