/**
 * Created by JSmtih on 3/30/2016.
 */
angular.module('components.caseCommentDisplay.directive', ['components.caseCommentDisplay'])
    .directive('caseCommentDisplayDirective', caseCommentDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseCommentDisplayDirective($timeout) {
    return {
        restrict: 'EA',
        controller: 'caseCommentDisplayController',
        controllerAs: 'caseCommentDisplay',
		scope : {
			caseRef: '=',
			caseId: '=',
			caseType: '=',
			projectContext: '=',
			header: '@',
			headerClass: '@'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-comment-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseRef", function(newVal, oldVal){
                if (newVal ) {
					$scope.changeCase(newVal);
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
