/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.caseDisplay.directive', ['components.caseDisplay'])
    .directive('caseDisplayDirective', caseDisplayDirective);


function caseDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseDisplayController',
        controllerAs: 'caseDisplay',
		scope : {
            caseRef : '=',
            workItemId : '=',
            useCustomTemplates: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/case-display/case-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
