/**
 * Created by JSmith on 3/15/2016.
 */

angular.module('components.caseDocumentDisplay', ['components.bpmCaseDisplay', 'components.caseDocumentDisplay.directive', 'components.caseDocumentUpload.directive', 'components.caseDocumentUpload', 'components.docsearch','components.docsViewDisplay.directive'])
    .controller('caseDocumentDisplayController', ['$scope', "$rootScope", "CaseDocumentService", "BPMWorklistService", "BPMBusinessActionsService", "BPMLoginService", "CaseInformationService", "CaseDisplayBPMServices", "$mdDialog", "$timeout", "$location", "$window", function ($scope, $rootScope, CaseDocumentService, BPMWorklistService, BPMBusinessActionsService, BPMLoginService, CaseInformationService, CaseDisplayBPMServices, $mdDialog, $timeout, $location, $window, fileUpload) {
        //console.log("*****************caseDocumentDisplayDirective Controller");
	
	var vm = this;
	
	vm.headerBox = true;		
	
	// The searchbox is inside the tibco docs component so have to do this to share data (isolated scope)
	$rootScope.docsSearchBox = false;
	
	vm.toggle = function (name) {
		vm[name] = !vm[name];
    }

	vm.toggleParent = function (rootVarName) {
		$rootScope[rootVarName] = !$rootScope[rootVarName];
    }

	
	$scope.currentPage = 1;
	$scope.obj={};
	$scope.obj.id="";
	$scope.obj.version="";		
	$scope.obj.caseRef = 'BDS-1-Service.Cases.Complaint-3-1';	
	$scope.tempObj = {};
	// If NOT using ng-if on the case template to delay rendering of case-document-display we should use the timeout below to delay loading of the document list
	/*$timeout(function() {
		//console.log("*** Setting tempObj caseRef to: ", $scope.caseRef);
	    $scope.tempObj.caseRef = $scope.caseRef;
        }, 3000);*/
	/*//console.log("*** Setting tempObj caseRef to: ", $scope.caseRef);*/
	$scope.tempObj.caseRef = $scope.caseRef;
	
	$scope.refresh = function(){
		
		//$window.location.reload();
	}
	
}])