angular.module('components.caseDocumentUpload.directive', ['components.caseDocumentUpload'])
    .directive('caseDocumentUploadDirective', ['$parse', '$window', '$rootScope', '$location', function ($parse, $window, $rootScope, $location) {
    return {
        restrict: 'A',
        templateUrl : 'components/case-document-upload/case-document-upload.html',
        controller: 'caseDocumentUploadController',
        link: function($scope, $element, $attrs) {
			var model = $parse($attrs.caseDocumentUploadDirective);
            var modelSetter = model.assign;
            $element.bind('change', function(){
                $scope.$apply(function(){
					//console.log("*** link function called with :", $attrs);
					//console.log("*** element is :", $element);
                    modelSetter($scope, $element[0].files[0]);
					$scope.uploadFile($scope.caseRef);
					$rootScope = $rootScope.$new(true);
                });
            });
        }
    };
}]);