/**
 * Created by JSmith on 03/18/16.
 */
angular.module('components.caseMilestone.directive', ['components.caseMilestone', 'components.caseAuditDisplay.directive'])
    .directive('caseMilestoneDirective', caseMilestoneDirective);


function caseMilestoneDirective() {
    return {
        //TODO review restrict in all directives, I setup AEC to get all but should be minimized
        restrict: 'AEC',
        templateUrl : 'components/case-milestone/case-milestone.html',
        scope : {
            caseinfo : "=",
			headerClass: '@'
        },
        controller: 'CaseMilestoneController',
        controllerAs: 'caseMilestone',
        link: function($scope, ele, attrs) {
            $scope.$watch("caseinfo.states", function(newVal, oldVal){
                if (newVal != null) {
                    $scope.setCaseInfo($scope.caseinfo);
                }
            });
        }

    };
}



