/**
 * Created by Jez on 11/4/2016.
 */
angular.module('components.casePieDisplay.directive', ['components.casePieDisplay'])
    .directive('casePieDisplayDirective', casePieDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function casePieDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'CasePieDisplayController',
        controllerAs: 'casePieDisplay',
		scope : {
			datasetname: '=',
			cases: '=',
			selectedCategory: '=',
            donutDiv: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/case-pie-display/case-pie-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("cases", function(newVal, oldVal){
                if (newVal ) {
                    $scope.parseData($scope.cases, $scope.datasetname, $scope.selectedCategory);
                }
            })

        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
