/**
 * Created by NamOs on 9/15/2015.
 */
angular.module('components.caseSpotfireDisplay.directive', ['components.caseSpotfireDisplay', 'components.genericWebplayer.directive'])
    .directive('caseSpotfireDisplayDirective', caseBsDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseBsDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseSpotfireDisplayController',
        controllerAs: 'caseSpotfireDisplay',
		scope : {
			header: '@',
			headerClass: '@',
            caseReference: '=',
            analysisPath: "@",
            spotfireServer: "@",
            spotfireDomain: "@",
            filterTable: "@",
            filterScheme: "@",
            filterColumn:"@",
            filterScopeValue:"=",
            height: "@",
            hideCard: "=",
            icon: "@",
            minimize: "="
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-spotfire-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            },
            $scope.$watch("analysisPath", function(newVal, oldVal){
                if (newVal) {
                    //console.log('*&* analyticsPath is :' + newVal);
                    $scope.openViz();
                }
            })

            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
