/**
 * Created by JSmith on 29/6/2016.
 */
angular.module('components.docsViewDisplay.directive', ['components.docsViewDisplay'])
    .directive('docsViewDisplayDirective', docsViewDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function docsViewDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'DocsViewDisplayController',
        controllerAs: 'docsViewDisplay',
        scope : {
            caseReference : '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../docs-view-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
