/**
 * Created by Jez on 11/4/2016.
 */
angular.module('components.donutDisplay.directive', ['components.donutDisplay'])
    .directive('donutDisplayDirective', donutDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function donutDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'DonutDisplayController',
        controllerAs: 'donutDisplay',
		scope : {
			datasetname: '=',
			dataset: '=',
			selectedCategory: '=',
            donutDiv: '=',
            title: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/donut-display/donut-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("dataset", function(newVal, oldVal){
                if (newVal ) {
                    $scope.renderDonut($scope.datasetname, $scope.dataset, $scope.title, $scope.donutDiv);
                }
            })

        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
