/**
 * Created by JSmith on 3/7/2016.
 */
angular.module('components.genericCommentDisplay.directive', ['components.genericCommentDisplay'])
    .directive('genericCommentDisplayDirective', genericCommentDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function genericCommentDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'GenericCommentDisplayController',
        controllerAs: 'genericCommentDisplay',
        scope: {
            reference: '=',
            commentTrigger: '=',
            description: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../generic-comment-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
            $scope.$watch("commentTrigger", function (newVal, oldVal) {
                // whenever commentTrigger is incremented trigger the dialog to display
                if (newVal) {
                    $scope.showComments();
                }
            });
            template: '<div ng-include="contentUrl"></div>'
        }
    }
}
