/**
 * Created by JSmith on 5/1/2017.
 */
angular.module('components.runBusinessService.directive', ['components.runBusinessService'])
    .directive('runBusinessServiceDirective', runBusinessServiceDirective);


function runBusinessServiceDirective() {
    return {
        restrict: 'EA',
        controller: 'RunBusinessServiceController',
		scope : {
            processName: "@",
            moduleName: "@",
            version: "@",
            icon: "@",
            formDiv: '@',
            showAction: "&"
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/run-business-service/run-business-service.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}