/**
 * Created by NamOs on 9/15/2015.
 */
angular.module('components.tableDisplay.directive', ['components.tableDisplay'])
    .directive('tableDisplayDirective', tableDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function tableDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'TableDisplayController',
        controllerAs: 'tableDisplay',
		scope : {
			caseData: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				//console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../table-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseData", function(newVal, oldVal){
				//console.log ("******************************************************* Table Display Directive with $scope.caseData : " + $scope.caseData);
                //console.log ("******************************************************* Table DisplayDirective with newVal : " + newVal);
                if (newVal != null) {
                    //$scope.displayCaseDetails(newVal);
					$scope.populateTable(newVal);
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
