/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.sections.tasksSection.directive', ['components.sections.tasksSection'])
    .directive('tasksSectionDirective', tasksSectionDirective);


function tasksSectionDirective() {
    return {
        restrict: 'EA',
        controller: 'TasksSectionController',
        controllerAs: 'tasksSection',
		scope : {
            tasksConfig: "=",
            caseDisplayConfig: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return 'components/tasks-section/tasks-section.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
