/**
 * Created by JSmith on 15/03/16.
 */
var bpmPayloadService = angular.module('components.payloadService', []);
bpmPayloadService.service('PayloadService', function () {

    this.createCaseActionPayload = function (caseRef, caseParamName) {
        var payload = '{ "items":[{"$param":"' + caseParamName + '", "$value":"' + caseRef + '", "type":"String", "mode":"IN"}]}';
        return payload;
    };

	this.createGenericPayload = function (caseId, caseType, projectContext) {
        var payload = '{ "items":[{"$param":"genericIdentifier", "mode":"INOUT", "$value":{"projectContext":"' + projectContext + '", "id":"' + caseId +'", "type":"' + caseType + '", "$type":"com.example.msgeneric_bom.GenericIdentifier"}}]}';
        return payload;
    };
});
