/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.analyticsAction.directive', ['components.analyticsAction'])
    .directive('analyticsActionDirective', analyticsActionDirective);


function analyticsActionDirective() {
    return {
        restrict: 'EA',
        controller: 'AnalyticsActionController',
        controllerAs: 'analyticsAction',
		scope : {
            analyticsActionConfig: "=",
            filterValues: "="
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return 'components/analytics-action/analytics-action.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
