/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.sections.analyticsSection.directive', ['components.sections.analyticsSection', 'components.genericWebplayer.directive'])
    .directive('analyticsSectionDirective', analyticsSectionDirective);


function analyticsSectionDirective() {
    return {
        restrict: 'EA',
        controller: 'AnalyticsSectionController',
        controllerAs: 'analyticsSection',
		scope : {
            analyticsConfig: "=",
            caseDisplayConfig : '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return 'components/analytics-section/analytics-section.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
