/**
 * Created by Jez on 14/6/2016.
 */

angular.module('components.sections.analyticsSection', [])
    .controller('AnalyticsSectionController', ['$scope', "$timeout", "$location", function ($scope, $timeout, $location) {
		//console.log("*****************AnalyticsSection Controller");

		$scope.editMode = false;
		// callback for webplayer marking directive
		$scope.visualCaseMarking = function(selection_size, selection) {
			//console.log("Anaytics section got callback - setting scope");
			$scope.marking_size=selection_size;
			if (selection_size==1) {
				$scope.marking=selection[0];
			} else {
				$scope.marking={};
			}
			$scope.$apply();
		};

		$scope.setOpenCaseRef = function() {
			//console.log("Setting caseref to: " + $scope.marking.case_ref);
			$location.path("/pageCaseDisplay/" + $scope.marking.case_ref);
		}

		$scope.toggleEditMode = function() {
			//console.log("toggle edit mode");
			$scope.editMode = !$scope.editMode;
		}


	}]);