/**
 * Created by JSmith on 2/7/2017.
 */

angular.module('components.caseBsDisplay', [, 'components.caseBsDisplay.directive'])
    .controller('CaseBsDisplayController', ['$scope', "BPMBusinessActionsService", "$timeout", "$location", "PayloadService", function ($scope, BPMBusinessActionsService, $timeout, $root, PayloadService) {
        //console.log("*****************CaseBsDisplayDirective Controller");
		
	var vm = this;
	vm.id = $scope.id;
	vm.headerBox = true;
	vm.docsSearchBox = true;
	vm.hidden = false;
	
	vm.toggle = function (name) {
		vm[name] = !vm[name];
    }

	vm.hideBs = function () {
		vm.hidden = true;
	}

		$scope.runAction = function () {
			var businessActionTemplate = {};
			businessActionTemplate.itemData = {};
			businessActionTemplate.itemData.moduleName =  $scope.moduleName;
			businessActionTemplate.itemData.processName = $scope.processName;
			businessActionTemplate.itemData.version = $scope.version;
			businessActionTemplate.payload =  "";
			businessActionTemplate.formDiv = 'BSDIV';
			businessActionTemplate.payload = PayloadService.createCaseActionPayload($scope.caseReference, $scope.caseRefParamName);

			BPMBusinessActionsService.startBizAction(businessActionTemplate, {
				onSuccess: function (Payload) {
					//console.log('*&* BS finished');
				},
				onFailure: function (error) {
					//console.log('*&* BS failed:' + JSON.stringify(error));
				},
				onEvent: function(eventName, bizActionHandler){
					$scope.bizActionHandler = bizActionHandler;
					if (eventName == 'bs.COMPLETE' || eventName == 'bs.CANCEL') {
						if (eventName == 'bs.COMPLETE') {
							//$scope.$apply();
							// refresh?
							$scope.refresh();
							$scope.$apply();
						} else {

						}
					}
				}
			});
		}
}])