/**
 * Created by JSmith on 3/18/2016.
 */
angular.module('components.caseContextMenu.directive', ['components.caseContextMenu'])
    .directive('caseContextMenuDirective', caseContextMenuDirective);


/*
 * TODO doc : lookup the example
 */

function caseContextMenuDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseContextMenuController',
        controllerAs: 'caseContextMenu',
		scope : {
			caseReference: '=',
			caseIdFieldName: '=',
			caseIdFieldLabel: '=',
			caseId: '=',
			addAction: '&',
			toggleView: '&',
            contextFab: '=',
            refreshCase: '&'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-context-menu.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseReference", function(newVal, oldVal){
                if (newVal ) {
                    
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
