/**
 * Created by JSmtih on 3/30/2016.
 */
angular.module('components.caseDocumentDisplay.directive', ['components.caseDocumentDisplay', 'components.docsearch', 'components.docsViewDisplay.directive'])
    .directive('caseDocumentDisplayDirective', caseDocumentDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseDocumentDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'caseDocumentDisplayController',
        controllerAs: 'caseDocumentDisplay',
		scope : {
			caseRef: '=',
			header: '@',
			headerClass: '@',
			id: '@'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-document-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseRef", function(newVal, oldVal){
                if (newVal ) {
                    //$scope.displayCaseDetails(newVal);
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
