/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.sections.caseSection.directive', ['components.sections.caseSection', "components.srcDisplay.directive", "components.caseDisplay.directive"])
    .directive('caseSectionDirective', caseSectionDirective);


function caseSectionDirective() {
    return {
        restrict: 'EA',
        controller: 'CaseSectionController',
        controllerAs: 'caseSection',
		scope : {
            appCaseModel : '=',
            caseDisplayConfig : '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return 'components/case-section/case-section.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
