/**
 * Created by JSmtih on 3/30/2016.
 */
angular.module('components.caseTaskDisplay.directive', ['components.caseTaskDisplay'])
    .directive('caseTaskDisplayDirective', caseTaskDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseTaskDisplayDirective($timeout) {
    return {
        restrict: 'EA',
        controller: 'caseTaskDisplayController',
        controllerAs: 'caseTaskDisplay',
		scope : {
			caseRef: '=',
			caseId: '=',
			caseType: '=',
			projectContext: '=',
			header: '@',
			headerClass: '@'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				//console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../case-task-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseRef", function(newVal, oldVal){
				//console.log ("******************************************************* Case Task Display Directive with $scope.caseRef : " + $scope.caseRef );
                //console.log ("******************************************************* Case Task Display Directive with newVal : " + newVal );
                if (newVal ) {
					$scope.changeCase(newVal);
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
