/**
 * Created by JSmtih on 3/30/2016.
 */
angular.module('components.caseUrlDisplay.directive', ['components.caseUrlDisplay'])
    .directive('caseUrlDisplayDirective', caseUrlDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseUrlDisplayDirective($timeout) {
    return {
        restrict: 'EA',
        controller: 'caseUrlDisplayController',
        controllerAs: 'caseUrlDisplay',
		scope : {
			url: '@',
			header: '@',
            icon: '@?',
            show: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				//console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../case-url-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("url", function(newVal, oldVal){
				//console.log ("******************************************************* Case URL Display Directive with $scope.url : " + $scope.url );
                //console.log ("******************************************************* Case URL Display Directive with newVal : " + newVal );
                if (newVal ) {

                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
