/**
 * Created by JSmtih on 3/30/2016.
 */
angular.module('components.caseWorkitemDisplay.directive', ['components.caseWorkitemDisplay'])
    .directive('caseWorkitemDisplayDirective', caseWorkitemDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function caseWorkitemDisplayDirective($timeout) {
    return {
        restrict: 'EA',
        controller: 'caseWorkitemDisplayController',
        controllerAs: 'caseWorkitemDisplay',
		scope : {
			workItemId: '=',
            header: '@',
            caseRef: '=',
            caseState: '=',
            triggerRefresh: '&'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../case-workitem-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("workItemId", function(newVal, oldVal){
                if (newVal ) {
                    if (newVal != '-1') {
                        $scope.openWorkItem(newVal, "-1", "formWIDiv");
                    }
                }
            });			
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
