/**
 * Created by JSmith on 3/15/2016.
 */

angular.module('components.caseWorkitemDisplay', ['components.caseWorkitemDisplay.directive'])
    .controller('caseWorkitemDisplayController', ['$scope', "$rootScope", "BPMLoginService", "BPMWorklistService", "CaseDisplayBPMServices", "$mdDialog", "$timeout", "$location", "$window", function ($scope, $rootScope, BPMLoginService, BPMWorklistService, CaseDisplayBPMServices, $mdDialog, $timeout, $location, $window) {
        //console.log("*****************caseWorkitemDisplayDirective Controller");
	
	var vm = this;
	
	vm.headerBox = true;
	vm.show = false;
	
	vm.toggle = function (name) {
		vm[name] = !vm[name];
    }



		$scope.openWorkItem = function(id,version,formDiv) {


			// Get GUID of the logged-in user BPMLoginService.getExtendedUserInfo
			BPMLoginService.getExtendedUserInfo({
				onSuccess: function (userInfo) {

					var config = {};
					// User need to get GUID for currently logged-in user
					config.guid = userInfo.guid;

					config.id = id;
					$scope.username = userInfo.name;
					$scope.guid = userInfo.guid;

					if (version)
						config.version = version;

					config.formDiv = formDiv;

					if (BPMWorklistService) {

						CaseDisplayBPMServices.getWorkItemHeader(id).then (
								function (result) {

									$scope.wiName = result.workItemHeader[0].name;
									$scope.wiDescription = result.workItemHeader[0].description;

									BPMWorklistService.openWorkItem(config, {
										onSuccess: function (result) {
											window.cap.LOGGER.debug("OpenWorkItem: openWorkItem: onSuccess:" + result);
										},
										onFailure: function (exception) {
											window.cap.LOGGER.debug("OpenWorkItem: openWorkItem: onFailure:" + exception);
										},
										onEvent: function (eventName, actionHandler) {

											if (eventName == "wi.OPEN" || eventName == "wi.COMPLETE" || eventName == "wi.CANCEL" || eventName == "wi.CLOSE") {
												CaseDisplayBPMServices.logCaseTaskAction($scope.caseRef, $scope.caseState, $scope.guid, $scope.username, eventName, $scope.wiName).then(
														function (result) {
														},
														function (error) {
															window.cap.LOGGER.error("ERR_CUST_CLIENT_CTLR_GET_CASE_MODEL: " + error);
														});
											}
											if (eventName == "wi.OPEN") {
												vm.show = true;
											} else if (eventName == "wi.COMPLETE" || eventName == "wi.CANCEL" || eventName == "wi.CLOSE") {
												$scope.workItemId = undefined;
												$scope.$apply();
												if ($rootScope.wiComplete === undefined || $rootScope.wiComplete.done === true) {
													$scope.triggerRefresh();
												}
												if ($rootScope.wiComplete != undefined) {
                                                    $rootScope.wiComplete.done = true;
                                                }

											}
										}
									});

								},
								function (error) {
									window.cap.LOGGER.error("ERR_CUST_CLIENT_CTLR_GET_WI_HEADER: " + error);
								});


					}

				}
			});

		}



	}])