/**
 * Created by Jez on 11/4/2016.
 */

angular.module('components.donutDisplay', [])
    .controller('DonutDisplayController', ['$scope', "$timeout", function ($scope, $timeout) {
        //console.log("*****************DonutDisplayDirective Controller");


		vm = this;

		$scope.renderDonut = function(datasetname, dataset, title, donutDiv) {

 
		$timeout(function() {

		$(function() {
		var newh = $("#box").height();
    
        $( window ).resize(function() {
			//console.log("*^* redraw");
			newh = $("#box").height();
			donutChart.redraw();
			donutChart.reflow();
		});
		});
		
		donutChart = new Highcharts.Chart({

        credits: {
			enabled: false
		},
		chart: {
            type: 'pie',
			renderTo: donutDiv,
			margin: [0, 0, 0, 0],
			spacing: [0, 0, 0, 0],
			events: {
				click: function (event) {
					$scope.selectedCategory = "";
					$scope.$apply();
				}
			}
        },
        title: {
            text: null
        },
        plotOptions: {
			pie: {
				slicedOffset: 0,
				dataLabels: {
					enabled: true
				}
			},
			series: {
                point: {
                    events: {
                        click: function () {
							//console.log("*%* setting selected to: " +this.name);
							$scope.selectedCategory = this.name;
							$scope.$apply();
                        }
                    }
                }
            }
        },
		exporting: {
			buttons: {
				contextButton: {
					enabled: false
				}
			}
		},
        series: [{
            name: datasetname,
            data: dataset
        }],
		});
		}, 1000);
		////console.log("***Done!");
		}


}]);