/**
 * Created by JSmith on 5/1/2017.
 */
angular.module('components.favouriteCasesDisplay.directive', ['components.favouriteCasesDisplay'])
    .directive('favouriteCasesDisplayDirective', favouriteCasesDisplayDirective);


function favouriteCasesDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'FavouriteCasesDisplayController',
		scope : {
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/favourite-cases-display/favourite-cases-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}