/**
 * Created by JSmith on 20/09/2017.
 */
angular.module('components.genericWebplayer.directive', ['components.genericWebplayer'])
    .directive('genericWebplayerDirective', genericWebplayerDirective);



function genericWebplayerDirective() {
    return {
        restrict: 'EA',
        controller: 'GenericWebplayerController',
        controllerAs: 'genericWebplayer',
        scope: {
            webplayerDiv: '=',
            name: '=',
            analysisPath: '=',
            markingName: '=',
            tableName: '=',
            maxMarkings: '=',
            columnNames: '=',
            callback: '&',
            spotfireServer: '=',
            bdsVersion: '=',
            filterTable: '=',
            filterScheme: '=',
            filterColumn: '=',
            filterValues: '=',
            showToolBar: '=',
            showNavigatation: '=',
            showFilterPanel: '='
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return 'components/generic-webplayer/generic-webplayer.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
            $scope.$watch("name", function (newVal, oldVal) {
                // whenever name is changed this will run
                if (newVal) {

                }
            });
        },
        template: '<div ng-include="contentUrl"></div>'
    }
}
