/**
 * Created by NamOs on 9/15/2015.
 */
angular.module('components.linkedCaseDisplay.directive', ['components.linkedCaseDisplay'])
    .directive('linkedCaseDisplayDirective', linkedCaseDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function linkedCaseDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'LinkedCaseDisplayController',
        controllerAs: 'linkedCaseDisplay',
		scope : {
			caseReference: '=',
			id: '@',
			linkedCaseClass: '@',
			headerClass: '@',
			header: '@',
            columnsIgnore: '=',
			donutDisplay: '@',
			donutCategory: '@',
            donutDiv: '@',
            navigateToCase: '&',
            toggleView: '&',

        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
				////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return '../linked-case-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("caseReference", function(newVal, oldVal){
                if (newVal != null) {
					$scope.getLinkedCases(newVal);
                    //$scope.displayCaseDetails(newVal);
					//$scope.populateTable(newVal);
                }
            });	
			$scope.$watch("linkedCaseClass", function(newVal, oldVal){
                if (newVal != null) {
                    //$scope.displayCaseDetails(newVal);
					//$scope.populateTable(newVal);
                }
            });
			$scope.$watch("id", function(newVal, oldVal){
                if (newVal != null) {

                }
            });
            $scope.$watch("donutDiv", function(newVal, oldVal){
                if (newVal != null) {

                }
            });
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
