/**
 * Created by NamOs on 08/09/15.
 */
angular.module('components.microService.directive', ['components.microService'])
    .directive('microServiceDirective', microServiceDirective);


function microServiceDirective(ConfigService) {
    return {
        //TODO review restrict in all directives, I setup AEC to get all but should be minimized
        restrict: 'AEC',
        template: function(element, attrs) {
            //console.log("****************Template with chartId : " + attrs.microServiceName);

            return '<div id="' + attrs.microServiceName + '"></div>';

        },
        scope : {
            microServiceName : "@",
            id : "@",
            type : "@"
        },
        controller: 'MicroServiceController',
        controllerAs: 'microService',
        bindToController: true,
        link: function(scope, ele, attrs) {

        }
    };
}
