/**
 * Created by NamOs on 08/09/15.
 */

angular.module('components.microService', [])
    .controller('MicroServiceController', ['$scope', 'ConfigService','PayloadService', 'BPMBusinessActionsService', function ($scope, ConfigService, PayloadService, BPMBusinessActionsService) {
        //console.log("*** Micro Service Controller");

        var vm = this;

        //console.log ("*********************** microServiceName : " + vm.microServiceName);
        vm.genericPayload = PayloadService.createGenericPayload(vm.id, vm.type, ConfigService.getProjectName());

        vm.pfDetails = ConfigService.getMicroServicePFDetails(vm.microServiceName);
        vm.pfDetails.pfPayload = vm.genericPayload;
        //console.log ("*********************** pfDetails : " + JSON.stringify(vm.pfDetails));



        //TODO we could refactor pfDetails to be the same as BusinessActionTemplate

        $scope.startBizAction = function () {
            var businessActionTemplate = {};
            businessActionTemplate.itemData = {};
            businessActionTemplate.itemData.moduleName =  vm.pfDetails.pfModuleName;
            businessActionTemplate.itemData.processName = vm.pfDetails.pfName;
            businessActionTemplate.itemData.version = vm.pfDetails.pfVersion;
            businessActionTemplate.payload  =  vm.genericPayload;

            businessActionTemplate.formDiv = vm.microServiceName;

            BPMBusinessActionsService.startBizAction(businessActionTemplate, {onSuccess: function(result){
                $timeout(function() {
                    $scope.bizActionFormTabs.splice($scope.bizActionFormTabs.indexOf(businessActionTemplate),1);
                }, 0);
            },
                onFailure: function(exception){
                    $timeout(function() {
                        $scope.bizActionFormTabs.splice($scope.bizActionFormTabs.indexOf(businessActionTemplate),1);
                    }, 0);
                },
                onEvent: function(eventName, bizActionHandler){
                    //console.log("****eventName : " + eventName );
                    //console.log("****bizActionHandler " + bizActionHandler.pageResponse);

                }
            });
        };

        $scope.startBizAction();


    }]);