angular.module('components.nimbusDisplay.directive',[])
    .directive('nimbusDisplayDirective', nimbusDisplayDirective);

function nimbusDisplayDirective() {

    var NimbusDisplayController= function ($scope, $sce) {
        //console.log("****************** NimbusDisplayController");
        $scope.nimbusurl = $scope.nimbusConfig.baseurl + '/' + $scope.nimbusConfig.widgeturl;
        //console.log("*&* nurl is: " + $scope.nimbusurl);

        $scope.getNimbusUrl = function() {
            return $sce.trustAsResourceUrl($scope.nimbusurl);
        }
    };

    //console.log("nimbusDisplayDirective - init");
    return {
        //TODO review restrict in all directives, I setup AEC to get all but should be minimized
        restrict : 'AEC',
        replace : false,
        scope : {
            nimbusConfig: "="
        },
        templateUrl : 'components/nimbus/nimbus.html',
        controller : NimbusDisplayController
    };
}
