/**
 * Created by JSmith on 5/1/2017.
 */
angular.module('components.recentCasesDisplay.directive', ['components.recentCasesDisplay'])
    .directive('recentCasesDisplayDirective', recentCasesDisplayDirective);


function recentCasesDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'RecentCasesDisplayController',
		scope : {

        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                ////console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    ////console.log ("Template path undefined => returning default");
                    return 'components/recent-cases-display/recent-cases-display.html';
                } else {
                    ////console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}