/**
 * Created by Jez on 6/9/2016.
 */

angular.module('components.runBusinessService', [])
    .controller('RunBusinessServiceController', ['$scope', '$rootScope', "$timeout", "BPMBusinessActionsService", function ($scope, $rootScope, $timeout, BPMBusinessActionsService) {
		//console.log("*****************RunBusinessService Controller");
		//console.log("?? *****************RunBusinessService Controller: " + $scope.processName);
		//console.log("?? *****************RunBusinessService Controller: " + $scope.moduleName);
		//console.log("?? *****************RunBusinessService Controller: " + $scope.version);
		//console.log("?? *****************RunBusinessService Controller: " + $scope.icon);

		$scope.ready = false;
		$scope.formdiv = 'businessServiceFormDiv';

		$scope.startBizAction = function () {

			//TODO: Make spinner generic
			// set up spinner
			var opts = {
				lines: 13 // The number of lines to draw
				, length: 28 // The length of each line
				, width: 12 // The line thickness
				, radius: 42 // The radius of the inner circle
				, scale: 0.75 // Scales overall size of the spinner
				, corners: 0.6 // Corner roundness (0..1)
				, color: '#000' // #rgb or #rrggbb or array of colors
				, opacity: 0.25 // Opacity of the lines
				, rotate: 0 // The rotation offset
				, direction: 1 // 1: clockwise, -1: counterclockwise
				, speed: 1.2 // Rounds per second
				, trail: 86 // Afterglow percentage
				, fps: 20 // Frames per second when using setTimeout() as a fallback for CSS
				, zIndex: 2e9 // The z-index (defaults to 2000000000)
				, className: 'spinner' // The CSS class to assign to the spinner
				, top: '50%' // Top position relative to parent
				, left: '50%' // Left position relative to parent
				, shadow: false // Whether to render a shadow
				, hwaccel: false // Whether to use hardware acceleration
				, position: 'absolute' // Element positioning
			}
			var target = document.getElementById('loadingSpinner');
			var spinner = new Spinner(opts);
			spinner.spin(target);


			var businessActionTemplate = {};
			businessActionTemplate.itemData = {};
			businessActionTemplate.itemData.moduleName = $scope.moduleName;
			businessActionTemplate.itemData.processName = $scope.processName;
			businessActionTemplate.itemData.version = $scope.version;
			// switch calling app to show the correct pane
			$scope.showAction({data: "B", page: "pageBusinessAction"});
			businessActionTemplate.formDiv = $scope.formDiv;

			if (BPMBusinessActionsService) {
				BPMBusinessActionsService.startBizAction(businessActionTemplate, {

					onSuccess: function (result) {
						$scope.showAction({data: "default", page: "default"});
						$scope.$apply();
					},
					onFailure: function (exception) {
						spinner.stop();
					},
					onEvent: function (eventName, bizActionHandler) {
						if (eventName == "bs.START") {
						} else if (eventName == "bs.COMPLETE") {
						} else if (eventName == "bs.CANCEL") {
						} else if (eventName == "bs.FORM_LOAD") {
							spinner.stop();
						}
					}
				});
			}


		}

	}]);
