/**
 * Created by Jez on 14/6/2016.
 */
angular.module('components.searchBoxDisplay.directive', ['components.searchBoxDisplay'])
    .directive('searchBoxDisplayDirective', searchBoxDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function searchBoxDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'SearchBoxDisplayController',
        controllerAs: 'searchBoxDisplay',
		scope : {
			selectedClass : '=',
			searchParams : '=',
			caseRefs : '=',
            maxResults: '@'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../search-box-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
			$scope.$watch("selectedClass", function(newVal, oldVal){
			//console.log ("******************************************************* SearchBoxDisplayDirective with $scope.selectedClass : " + JSON.stringify($scope.selectedClass));
                //console.log ("******************************************************* SearchBoxDisplayDirective with newVal : " + JSON.stringify(newVal));
                //console.log ("******************************************************* SearchBoxDisplayDirective with maxresults : " + $scope.maxResults);
                if (newVal ) {
                    $scope.selectedType(newVal);
                }
            });//, true);
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
