/**
 * Created by Jez on 13/6/2016.
 */
angular.module('components.srcDisplay.directive', ['components.srcDisplay'])
    .directive('srcDisplayDirective', srcDisplayDirective);


/*
 * TODO doc : lookup the example
 */

function srcDisplayDirective() {
    return {
        restrict: 'EA',
        controller: 'SrcDisplayController',
        controllerAs: 'srcDisplay',
        scope : {
            caseConfig : '=',
            selectCaseRef: '&'
        },
        link: function ($scope, element, attrs) {
            $scope.getContentUrl = function () {
                //console.log ("Template path : " + attrs.templatePath);
                if (typeof attrs.templatePath  == 'undefined') {
                    //console.log ("Template path undefined => returning default");
                    return '../src-display.html';
                } else {
                    //console.log ("Template path is defined, returning : " + attrs.templatePath);
                    return attrs.templatePath;
                }
            }
            $scope.contentUrl = $scope.getContentUrl();
            $scope.$watch("localSelectedCaseRef", function(newVal, oldVal){
                //console.log ("******************************************************* SrcDisplayDirective with $scope.localSelectedCaseRef : " + $scope.localSelectedCaseRef);
                //console.log ("******************************************************* SrcDisplayDirective with newVal : " + newVal);
                if (newVal ) {
                    $scope.selectCaseRef({data:newVal});
                }
            });//, true);
        },
       template: '<div ng-include="contentUrl"></div>'
    };
}
