/**
 * Created by Jez on 13/6/2016.
 */

angular.module('components.srcDisplay', ['ui.bootstrap', 'components.searchBoxDisplay.directive', 'angular-advanced-searchbox', 'components.SrcDisplayServices', 'smart-table', 'lrDragNDrop'])
    .controller('SrcDisplayController', ['$scope', "$timeout", '$location', '$http', 'SrcAppBPMServices', 'CaseManagementService', function ($scope, $timeout, $location, $http, SrcAppBPMServices, CaseManagementService) {
        //console.log("*****************SrcDisplayDirective Controller");

		// called when you select a case from the case list display
        $scope.selectedCase = function (data) {
			//console.log("*&* selected case: ", data);
			// This is just for sample - redirects to caseDisplayApp
			// You could route using your own app via ngNewRouter or similar
			//window.location.replace(("../CaseDisplaySample/index.html?caseRef=" + data));

			// for this app we set a param which is used by calling directive

			$scope.localSelectedCaseRef = data;
		}
		
		// called when you select a case class
		$scope.selectedType = function(data) {
            if ($scope.caseType != data) {
				$scope.caseType = data;
				$scope.selectedClass = data;
				$scope.foundCaseRefs = {};
				$scope.foundCaseRefs.caseReference = [];
				$scope.foundCaseRefs.hasMoreResults = false;
			}
		}
		
		//vm = this;
		$scope.foundCaseRefs = {};
		$scope.foundCaseRefs.caseReference = [];
		$scope.foundCaseRefs.hasMoreResults = false;
		$scope.searchParams = {};
		// set conf on template instead
		//$scope.conf = {'viewType': 'LIST'};

		/* get config data
		$http.get("SrcApp.config.json")
				.then(function (response) {
					$scope.configData = response.data;
					// if($scope.configData["selectedCaseModel"].length>0)
					{
						if ($scope.configData["selectedCaseModel"]["appName"].length > 0)
							$scope.appCaseModel = $scope.configData["selectedCaseModel"];
						else
							alert ("Please configure case model in SrcApp.config.json");
					}
				});*/

		//$scope.appCaseModel = {"caseModelID": 1, "appName": "Cases.ServiceRequest-1", "majorVersion": 1};

		// get config from top directive param
		$scope.appCaseModel = $scope.caseConfig;



	}]);