/**
 * Created by NamOs on 9/15/2015.
 */

angular.module('components.tableDisplay', [])
    .controller('TableDisplayController', ['$scope', "BPMWorklistService", "BPMBusinessActionsService", "BPMLoginService", "CaseInformationService", "CaseDisplayBPMServices", "$mdDialog", "$timeout", "$location", function ($scope, BPMWorklistService, BPMBusinessActionsService, BPMLoginService, CaseInformationService, CaseDisplayBPMServices, $mdDialog, $timeout) {
        //console.log("*****************TableDisplayDirective Controller");
		
	var vm = this;
	$scope.tableOptions = {
				enableSorting: true,
				enableVerticalScrollbar: 0,
				enableHorizontalScrollbar: 0,
				data: [
    ]};

	$scope.populateTable = function(caseData) {
		//console.log("loading data");
		//console.log("data: " + caseData);
		//console.log("data: " + JSON.stringify(caseData));
		$timeout(function() {
			for (var i = 0, len = caseData.length; i < len; i++) {
				// only show data fields - not sub-classes
				if (caseData[i].children == null) {
				
					if (isNaN(Date.parse(caseData[i].value))) {
					// These are not date fields
						$scope.tableOptions.data.push({"Attribute":caseData[i].name, "Value":caseData[i].value});
					} else {
						// These are date fields
							$scope.tableOptions.data.push({"Attribute":caseData[i].name, "Value":moment(caseData[i].value).format('MMMM Do YYYY, h:mm:ss a')});
					}
					
				}
			}
			//console.log("Data pushed");
		}, 1000);
			
	}
	


}])